﻿* Collisions Involving Trains in Great Britain (Agresti 2007, Table 3.4).
data list free  /1 Year KM TrainColl RoadColl.
begin data.
2003 518 0 3 
2002 516 1 3 
2001 508 0 4 
2000 503 1 3 
1999 505 1 2 
1998 487 0 4 
1997 463 1 1 
1996 437 2 2 
1995 423 1 2 
1994 415 2 4 
1993 425 0 4 
1992 430 1 4 
1991 439 2 6 
1990 431 1 2 
1989 436 4 4
1988 443 2 4
1987 397 1 6
1986 414 2 13
1985 418 0 5
1984 389 5 3
1983 401 2 7
1982 372 2 3
1981 417 2 2
1980 430 2 2
1979 426 3 3
1978 430 2 4
1977 425 1 8
1976 426 2 12
1975 436 5 2
end data.
COMPUTE Since75=Year - 1975.
COMPUTE LogKm=ln(KM).
EXECUTE.
formats Year KM TrainColl RoadColl Since75 (f8.0).

* Beispiel aus Agresti (2007, S. 83) - Fehlerverteilung Poisson.
GENLIN RoadColl WITH Since75
  /MODEL Since75 INTERCEPT=YES OFFSET=LogKm
 DISTRIBUTION=POISSON LINK=LOG
  /CRITERIA METHOD=FISHER(1) SCALE=1 COVB=MODEL MAXITERATIONS=100 MAXSTEPHALVING=5 
    PCONVERGE=1E-006(ABSOLUTE) SINGULAR=1E-012 ANALYSISTYPE=3(WALD) CILEVEL=95 CITYPE=WALD 
    LIKELIHOOD=FULL
  /MISSING CLASSMISSING=EXCLUDE
  /PRINT CPS DESCRIPTIVES MODELINFO FIT SUMMARY SOLUTION
  /SAVE MEANPRED STDPEARSONRESID.

* Beispiel aus Agresti (2007, S. 83) - Fehlerverteilung Negativ Binomial.
GENLIN RoadColl WITH Since75
  /MODEL Since75 INTERCEPT=YES OFFSET=LogKm
 DISTRIBUTION=NEGBIN(MLE) LINK=LOG
  /CRITERIA METHOD=FISHER(1) SCALE=1 COVB=MODEL MAXITERATIONS=100 MAXSTEPHALVING=5 
    PCONVERGE=1E-006(ABSOLUTE) SINGULAR=1E-012 ANALYSISTYPE=3(WALD) CILEVEL=95 CITYPE=WALD 
    LIKELIHOOD=FULL
  /MISSING CLASSMISSING=EXCLUDE
  /PRINT CPS DESCRIPTIVES MODELINFO FIT SUMMARY SOLUTION
  /SAVE MEANPRED STDPEARSONRESID.
