﻿* Poisson-Regression.

set seed = 1.
input program.
+ loop #i = 1 to 300.
     compute X = normal(1).
     compute Z = normal(1).
-  end case.
+ end loop.
+ end file.
end input program.

compute Y =  RV.POISSON(exp(0.2 + 0.3*X + 0.4*Z)).
formats Y (f2.0).
VARIABLE LEVEL Y (ordinal).

FREQUENCIES VARIABLES=Y
  /BARCHART FREQ
  /ORDER=ANALYSIS.

GRAPH
  /SCATTERPLOT(BIVAR)=X WITH Y
  /MISSING=LISTWISE.

* Korrektes Modell.
GENLIN Y WITH X z
  /MODEL X Z INTERCEPT=YES
 DISTRIBUTION=POISSON LINK=LOG
  /CRITERIA METHOD=FISHER(1) SCALE=1 COVB=MODEL MAXITERATIONS=1000 MAXSTEPHALVING=50 
    PCONVERGE=1E-006(ABSOLUTE) SINGULAR=1E-012 ANALYSISTYPE=3(WALD) CILEVEL=95 CITYPE=WALD 
    LIKELIHOOD=FULL
  /MISSING CLASSMISSING=EXCLUDE
  /PRINT CPS DESCRIPTIVES MODELINFO FIT SUMMARY SOLUTION.

* Fehlender Regressor führt zu Overdispersion.
GENLIN Y WITH X
  /MODEL X INTERCEPT=YES
 DISTRIBUTION=POISSON LINK=LOG
  /CRITERIA METHOD=FISHER(1) SCALE=1 COVB=MODEL MAXITERATIONS=200 MAXSTEPHALVING=10 
    PCONVERGE=1E-006(ABSOLUTE) SINGULAR=1E-012 ANALYSISTYPE=3(WALD) CILEVEL=95 CITYPE=WALD 
    LIKELIHOOD=FULL
  /MISSING CLASSMISSING=EXCLUDE
  /PRINT CPS DESCRIPTIVES MODELINFO FIT SUMMARY SOLUTION.

* Korrektur der Standardfehler durch Skalenparameter.
GENLIN Y WITH X
  /MODEL X INTERCEPT=YES
 DISTRIBUTION=POISSON LINK=LOG
  /CRITERIA METHOD=FISHER(1) SCALE=DEVIANCE COVB=MODEL MAXITERATIONS=200 MAXSTEPHALVING=10 
    PCONVERGE=1E-006(ABSOLUTE) SINGULAR=1E-012 ANALYSISTYPE=3(WALD) CILEVEL=95 CITYPE=WALD 
    LIKELIHOOD=FULL
  /MISSING CLASSMISSING=EXCLUDE
  /PRINT CPS DESCRIPTIVES MODELINFO FIT SUMMARY SOLUTION.

*Korrektur der Standardfehler durch robuste Schätzer.
GENLIN Y WITH x
  /MODEL X INTERCEPT=YES
 DISTRIBUTION=POISSON LINK=LOG
  /CRITERIA METHOD=FISHER(1) SCALE=1 COVB=ROBUST MAXITERATIONS=200 MAXSTEPHALVING=10 
    PCONVERGE=1E-006(ABSOLUTE) SINGULAR=1E-012 ANALYSISTYPE=3(WALD) CILEVEL=95 CITYPE=WALD 
    LIKELIHOOD=FULL
  /MISSING CLASSMISSING=EXCLUDE
  /PRINT CPS DESCRIPTIVES MODELINFO FIT SUMMARY SOLUTION.

* Korrektur durch negative Binomialverteilung.
GENLIN Y WITH X
  /MODEL X INTERCEPT=YES
 DISTRIBUTION=NEGBIN(MLE) LINK=LOG
  /CRITERIA METHOD=FISHER(1) SCALE=1 COVB=MODEL MAXITERATIONS=100 MAXSTEPHALVING=5 
    PCONVERGE=1E-006(ABSOLUTE) SINGULAR=1E-012 ANALYSISTYPE=3(WALD) CILEVEL=95 CITYPE=WALD 
    LIKELIHOOD=FULL
  /MISSING CLASSMISSING=EXCLUDE
  /PRINT CPS DESCRIPTIVES MODELINFO FIT SUMMARY SOLUTION.


