
set seed = 7.
input program.
+ loop #i = 1 to 500.
     compute clus = trunc(uniform(50)) + 1.
-  end case.
+ end loop.
+ end file.
end input program.

frequencies var=clus.

VARIABLE LEVEL clus (NOMINAL).
formats clus (f1.0).

compute alpha = normal(7).
compute x = normal(1).

AGGREGATE
  /OUTFILE=* MODE=ADDVARIABLES
  /BREAK=clus
  /ranint=MEAN(alpha).

sort cases by clus.

compute linpred = ranint + x.
compute prob = exp(linpred) / (1+ exp(linpred)).
compute dep = (uniform(1) <= prob).

FREQUENCIES var=dep.
FREQUENCIES var=ranint /stat=mean var/form=not.

*Generalized Linear Mixed Models. 
GENLINMIXED
  /DATA_STRUCTURE SUBJECTS=clus
  /FIELDS TARGET=dep TRIALS=NONE OFFSET=NONE
  /TARGET_OPTIONS REFERENCE=0 DISTRIBUTION=BINOMIAL LINK=LOGIT
  /FIXED  EFFECTS=x USE_INTERCEPT=TRUE
  /RANDOM USE_INTERCEPT=TRUE SUBJECTS=clus COVARIANCE_TYPE=VARIANCE_COMPONENTS 
  /BUILD_OPTIONS TARGET_CATEGORY_ORDER=ASCENDING INPUTS_CATEGORY_ORDER=ASCENDING MAX_ITERATIONS=100 
    CONFIDENCE_LEVEL=95 DF_METHOD=RESIDUAL COVB=MODEL
  /EMMEANS_OPTIONS SCALE=ORIGINAL PADJUST=LSD.

* Verallgemeinerte Schtzungsgleichungen.
GENLIN dep (REFERENCE=FIRST) WITH x
  /MODEL x INTERCEPT=YES
 DISTRIBUTION=BINOMIAL LINK=LOGIT
  /CRITERIA METHOD=FISHER(1) SCALE=1 MAXITERATIONS=100 MAXSTEPHALVING=5 PCONVERGE=1E-006(ABSOLUTE) 
    SINGULAR=1E-012 ANALYSISTYPE=3(WALD) CILEVEL=95 LIKELIHOOD=FULL
  /REPEATED SUBJECT=clus SORT=YES CORRTYPE=EXCHANGEABLE ADJUSTCORR=YES COVB=ROBUST 
    MAXITERATIONS=100 PCONVERGE=1e-006(ABSOLUTE) UPDATECORR=1
  /MISSING CLASSMISSING=EXCLUDE
  /PRINT CPS DESCRIPTIVES MODELINFO FIT SUMMARY SOLUTION WORKINGCORR.



